-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	4.1.13-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema temp
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ xframe_db;
USE xframe_db;

--
-- Table structure for table `temp`.`code`
--

DROP TABLE IF EXISTS `CODE`;
CREATE TABLE `CODE` (
  `ProjectID` varchar(40) NOT NULL default '',
  `GroupID` varchar(40) NOT NULL default '',
  `CodeID` varchar(40) NOT NULL default '',
  `Name` varchar(60) default NULL,
  `Delimiter` varchar(10) default NULL,
  `Style` char(1) default NULL,
  `Data` mediumtext,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `Directory` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ProjectID`,`GroupID`,`CodeID`,`Directory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`CODE`
--

/*!40000 ALTER TABLE `CODE` DISABLE KEYS */;
/*!40000 ALTER TABLE `CODE` ENABLE KEYS */;


--
-- Table structure for table `TEMP`.`directories`
--

DROP TABLE IF EXISTS `DIRECTORIES`;
CREATE TABLE `DIRECTORIES` (
  `ProjectID` varchar(40) NOT NULL default '',
  `Directory` varchar(255) NOT NULL default '',
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `Comment` varchar(255) default NULL,
  PRIMARY KEY  (`ProjectID`,`Directory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`directories`
--

/*!40000 ALTER TABLE `directories` DISABLE KEYS */;
/*!40000 ALTER TABLE `directories` ENABLE KEYS */;


--
-- Table structure for table `temp`.`image`
--

DROP TABLE IF EXISTS `IMAGE`;
CREATE TABLE `IMAGE` (
  `ProjectID` varchar(40) NOT NULL default '',
  `GroupID` varchar(40) NOT NULL default '',
  `ImageID` varchar(40) NOT NULL default '',
  `Type` char(3) default NULL,
  `Name` varchar(50) default NULL,
  `Data` longblob,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `Directory` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`Directory`,`ProjectID`,`GroupID`,`ImageID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`IMAGE`
--

/*!40000 ALTER TABLE `IMAGE` DISABLE KEYS */;
/*!40000 ALTER TABLE `IMAGE` ENABLE KEYS */;


--
-- Table structure for table `temp`.`LIBRARY`
--

DROP TABLE IF EXISTS `LIBRARY`;
CREATE TABLE `LIBRARY` (
  `ProjectID` varchar(40) NOT NULL default '',
  `LibraryID` varchar(40) NOT NULL default '',
  `Type` char(3) default NULL,
  `Name` varchar(50) default NULL,
  `Data` longblob,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  PRIMARY KEY  (`ProjectID`,`LibraryID`),
  KEY `ProjectID` (`ProjectID`),
  KEY `LibraryID` (`LibraryID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`LIBRARY`
--

/*!40000 ALTER TABLE `LIBRARY` DISABLE KEYS */;
/*!40000 ALTER TABLE `LIBRARY` ENABLE KEYS */;


--
-- Table structure for table `temp`.`MENU`
--

DROP TABLE IF EXISTS `MENU`;
CREATE TABLE `MENU` (
  `ProjectID` varchar(40) NOT NULL default '',
  `Directory` varchar(255) NOT NULL default '',
  `MenuID` varchar(40) NOT NULL default '',
  `Data` text,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `Component` varchar(40) default NULL,
  PRIMARY KEY  (`ProjectID`,`Directory`,`MenuID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`MENU`
--

/*!40000 ALTER TABLE `MENU` DISABLE KEYS */;
/*!40000 ALTER TABLE `MENU` ENABLE KEYS */;


--
-- Table structure for table `temp`.`METADATA`
--

DROP TABLE IF EXISTS `METADATA`;
CREATE TABLE `METADATA` (
  `ProjectID` varchar(40) NOT NULL default '',
  `MetaID` varchar(40) NOT NULL default '',
  `MetaComment` varchar(60) NOT NULL default '',
  `MetaLength` varchar(10) NOT NULL default '0',
  `MetaPlace` varchar(10) NOT NULL default '0',
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  PRIMARY KEY  (`ProjectID`,`MetaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`METADATA`
--

/*!40000 ALTER TABLE `METADATA` DISABLE KEYS */;
/*!40000 ALTER TABLE `METADATA` ENABLE KEYS */;


--
-- Table structure for table `temp`.`MODULE`
--

DROP TABLE IF EXISTS `MODULE`;
CREATE TABLE `MODULE` (
  `ProjectID` varchar(40) NOT NULL default '',
  `ModuleID` varchar(40) NOT NULL default '',
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `VbScript` mediumtext,
  `JavaScript` mediumtext,
  PRIMARY KEY  (`ProjectID`,`ModuleID`),
  KEY `ProjectID` (`ProjectID`),
  KEY `ModuleID` (`ModuleID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`MODULE`
--

/*!40000 ALTER TABLE `MODULE` DISABLE KEYS */;
/*!40000 ALTER TABLE `MODULE` ENABLE KEYS */;


--
-- Table structure for table `temp`.`MODULECHECKOUT`
--

DROP TABLE IF EXISTS `MODULECHECKOUT`;
CREATE TABLE `MODULECHECKOUT` (
  `ProjectID` varchar(40) NOT NULL default '',
  `ModuleID` varchar(40) NOT NULL default '',
  `CheckOutUserID` varchar(40) NOT NULL default '',
  `CheckOutIPAddress` varchar(15) NOT NULL default '',
  `CheckOutTime` varchar(14) default NULL,
  PRIMARY KEY  (`ProjectID`,`ModuleID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`MODULECHECKOUT`
--

/*!40000 ALTER TABLE `MODULECHECKOUT` DISABLE KEYS */;
/*!40000 ALTER TABLE `MODULECHECKOUT` ENABLE KEYS */;


--
-- Table structure for table `temp`.`MODULEHISTORY`
--

DROP TABLE IF EXISTS `MODULEHISTORY`;
CREATE TABLE `MODULEHISTORY` (
  `ProjectID` varchar(40) NOT NULL default '',
  `ModuleID` varchar(40) NOT NULL default '',
  `SaveTime` varchar(14) NOT NULL default '',
  `SaveUserID` varchar(40) NOT NULL default '',
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `EventType` char(1) default NULL,
  `VbScript` mediumtext,
  `JavaScript` mediumtext,
  PRIMARY KEY  (`ProjectID`,`ModuleID`,`SaveTime`,`SaveUserID`),
  KEY `ProjectID` (`ProjectID`),
  KEY `ModuleID` (`ModuleID`),
  KEY `SaveTime` (`SaveTime`),
  KEY `SaveUserID` (`SaveUserID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`MODULEHISTORY`
--

/*!40000 ALTER TABLE `MODULEHISTORY` DISABLE KEYS */;
/*!40000 ALTER TABLE `MODULEHISTORY` ENABLE KEYS */;


--
-- Table structure for table `temp`.`PROJECT`
--

DROP TABLE IF EXISTS `PROJECT`;
CREATE TABLE `PROJECT` (
  `ProjectID` varchar(40) NOT NULL default '',
  `Name` varchar(50) default NULL,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `ProjectType` char(1) default NULL,
  PRIMARY KEY  (`ProjectID`),
  KEY `ProjectID` (`ProjectID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`PROJECT`
--

/*!40000 ALTER TABLE `PROJECT` DISABLE KEYS */;
/*!40000 ALTER TABLE `PROJECT` ENABLE KEYS */;


--
-- Table structure for table `temp`.`SCREEN`
--

DROP TABLE IF EXISTS `SCREEN`;
CREATE TABLE `SCREEN` (
  `ProjectID` varchar(40) NOT NULL default '',
  `ScreenID` varchar(255) NOT NULL default '',
  `Title` varchar(255) NOT NULL default '',
  `Header` text,
  `Data` mediumtext,
  `Help` text,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `VbScript` mediumtext,
  `JavaScript` mediumtext,
  `Directory` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ProjectID`,`ScreenID`,`Directory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`SCREEN`
--

/*!40000 ALTER TABLE `SCREEN` DISABLE KEYS */;
/*!40000 ALTER TABLE `SCREEN` ENABLE KEYS */;


--
-- Table structure for table `temp`.`SCREENCHECKOUT`
--

DROP TABLE IF EXISTS `SCREENCHECKOUT`;
CREATE TABLE `SCREENCHECKOUT` (
  `ProjectID` varchar(40) NOT NULL default '',
  `ScreenID` varchar(255) NOT NULL default '',
  `CheckOutUserID` varchar(40) NOT NULL default '',
  `CheckOutIPAddress` varchar(15) NOT NULL default '',
  `CheckOutTime` varchar(14) default NULL,
  `Directory` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ProjectID`,`ScreenID`,`Directory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`SCREENCHECKOUT`
--

/*!40000 ALTER TABLE `SCREENCHECKOUT` DISABLE KEYS */;
/*!40000 ALTER TABLE `SCREENCHECKOUT` ENABLE KEYS */;


--
-- Table structure for table `temp`.`SCREENHISTORY`
--

DROP TABLE IF EXISTS `SCREENHISTORY`;
CREATE TABLE `SCREENHISTORY` (
  `ProjectID` varchar(40) NOT NULL default '',
  `ScreenID` varchar(255) NOT NULL default '',
  `SaveTime` varchar(14) NOT NULL default '',
  `SaveUserID` varchar(40) NOT NULL default '',
  `Title` varchar(255) NOT NULL default '',
  `Header` text,
  `Data` mediumtext,
  `Help` mediumtext,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `EventType` char(1) default NULL,
  `VbScript` mediumtext,
  `JavaScript` mediumtext,
  `Directory` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ProjectID`,`ScreenID`,`SaveTime`,`SaveUserID`,`Directory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`SCREENHISTORY`
--

/*!40000 ALTER TABLE `SCREENHISTORY` DISABLE KEYS */;
/*!40000 ALTER TABLE `SCREENHISTORY` ENABLE KEYS */;

--
-- Table structure for table `temp`.`SCREENHISTORYOPTION`
--
DROP TABLE IF EXISTS `SCREENHISTORYOPTION`;
CREATE TABLE IF NOT EXISTS `SCREENHISTORYOPTION` (
  `ProjectID` varchar(40) NOT NULL DEFAULT '',
  `ExpireDate` varchar(10) NOT NULL DEFAULT '',
  `ExpireNumber` varchar(10) NOT NULL DEFAULT '',
  `Modifytime` varchar(14) DEFAULT NULL,
  `ModifyUserID` varchar(40) DEFAULT NULL,
  `CreateTime` varchar(14) DEFAULT NULL,
  `CreateUserID` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`ProjectID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='화면내역조건설정';

--
-- Dumping data for table `temp`.`SCREENHISTORYOPTION`
--

/*!40000 ALTER TABLE `SCREENHISTORYOPTION` DISABLE KEYS */;
/*!40000 ALTER TABLE `SCREENHISTORYOPTION` ENABLE KEYS */;

--
-- Table structure for table `temp`.`TEMPLATE`
--

DROP TABLE IF EXISTS `TEMPLATE`;
CREATE TABLE `TEMPLATE` (
  `ProjectID` varchar(40) NOT NULL default '',
  `TemplateID` varchar(40) NOT NULL default '',
  `Name` varchar(50) default NULL,
  `Data` mediumtext,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  PRIMARY KEY  (`ProjectID`,`TemplateID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`TEMPLATE`
--

/*!40000 ALTER TABLE `TEMPLATE` DISABLE KEYS */;
/*!40000 ALTER TABLE `TEMPLATE` ENABLE KEYS */;


--
-- Table structure for table `temp`.`USER`
--

DROP TABLE IF EXISTS `USER`;
CREATE TABLE `USER` (
  `ProjectID` varchar(40) NOT NULL default '',
  `UserID` varchar(40) NOT NULL default '',
  `UserPassword` varchar(20) default NULL,
  `UserName` varchar(50) default NULL,
  `UserLevel` varchar(10) default NULL,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `ManagerUserID` varchar(40) default NULL,
  PRIMARY KEY  (`ProjectID`,`UserID`),
  KEY `ProjectID` (`ProjectID`),
  KEY `UserID` (`UserID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`USER`
--

/*!40000 ALTER TABLE `USER` DISABLE KEYS */;
/*!40000 ALTER TABLE `USER` ENABLE KEYS */;


--
-- Table structure for table `temp`.`USERDIRECTORYAUTHORITY`
--

DROP TABLE IF EXISTS `USERDIRECTORYAUTHORITY`;
CREATE TABLE `USERDIRECTORYAUTHORITY` (
  `ProjectID` varchar(40) NOT NULL default '',
  `Directory` varchar(255) NOT NULL default '',
  `UserID` varchar(40) NOT NULL default '',
  `ScreenPermission` char(1) default NULL,
  `CodePermission` char(1) default NULL,
  `ImagePermission` char(1) default NULL,
  `Comment` varchar(255) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `DirectoryManager` char(1) default NULL,
  `DirectoryHidden` char(1) default NULL,
  PRIMARY KEY  (`ProjectID`,`Directory`,`UserID`),
  KEY `ProjectID` (`ProjectID`),
  KEY `UserID` (`UserID`),
  KEY `GroupID` USING BTREE (`Directory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`USERDIRECTORYAUTHORITY`
--

/*!40000 ALTER TABLE `USERDIRECTORYAUTHORITY` DISABLE KEYS */;
/*!40000 ALTER TABLE `USERDIRECTORYAUTHORITY` ENABLE KEYS */;


--
-- Table structure for table `temp`.`userevent`
--

DROP TABLE IF EXISTS `USEREVENT`;
CREATE TABLE `USEREVENT` (
  `ProjectID` varchar(40) NOT NULL default '',
  `UserID` varchar(40) NOT NULL default '',
  `EventTime` varchar(14) NOT NULL default '',
  `EventType` char(1) default NULL,
  `IPAddress` varchar(15) default NULL,
  PRIMARY KEY  (`ProjectID`,`UserID`,`EventTime`),
  KEY `ProjectID` (`ProjectID`),
  KEY `UserID` (`UserID`),
  KEY `EventTime` (`EventTime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`USEREVENT`
--

/*!40000 ALTER TABLE `USEREVENT` DISABLE KEYS */;
/*!40000 ALTER TABLE `USEREVENT` ENABLE KEYS */;


--
-- Table structure for table `temp`.`USERMODULEAUTHORITY`
--

DROP TABLE IF EXISTS `USERMODULEAUTHORITY`;
CREATE TABLE `USERMODULEAUTHORITY` (
  `ProjectID` varchar(40) NOT NULL default '',
  `ModuleID` varchar(40) NOT NULL default '',
  `UserID` varchar(40) NOT NULL default '',
  `ModulePermission` char(1) default NULL,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  PRIMARY KEY  (`ProjectID`,`ModuleID`,`UserID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`USERMODULEAUTHORITY`
--

/*!40000 ALTER TABLE `USERMODULEAUTHORITY` DISABLE KEYS */;
/*!40000 ALTER TABLE `USERMODULEAUTHORITY` ENABLE KEYS */;


--
-- Table structure for table `temp`.`XDATASET`
--

DROP TABLE IF EXISTS `XDATASET`;
CREATE TABLE `XDATASET` (
  `ProjectID` varchar(40) NOT NULL default '',
  `XDataSetID` varchar(40) NOT NULL default '',
  `Comment` varchar(255) default NULL,
  `ColumnInfo` mediumtext,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  PRIMARY KEY  (`ProjectID`,`XDataSetID`),
  KEY `XDataSetID` (`XDataSetID`),
  KEY `ProjectID` (`ProjectID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`XDATASET`
--

/*!40000 ALTER TABLE `XDATASET` DISABLE KEYS */;
/*!40000 ALTER TABLE `XDATASET` ENABLE KEYS */;


--
-- Table structure for table `temp`.`STYLE`
--

DROP TABLE IF EXISTS `STYLE`;
CREATE TABLE `STYLE` (
  `ProjectID` varchar(40) NOT NULL default '',
  `Component` varchar(40) NOT NULL default '',
  `StyleID` varchar(40) NOT NULL default '',
  `Comment` varchar(255) default NULL,
  `Data` mediumtext,
  `CreateTime` varchar(14) default NULL,
  `CreateUserID` varchar(40) default NULL,
  `ModifyTime` varchar(14) default NULL,
  `ModifyUserID` varchar(40) default NULL,
  `StyleThemeID` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`ProjectID`,`StyleID`,`Component`, `StyleThemeID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `temp`.`STYLE`
--

/*!40000 ALTER TABLE `STYLE` DISABLE KEYS */;
/*!40000 ALTER TABLE `STYLE` ENABLE KEYS */;



/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
